Subject: [AVTCORE] Question regarding RFC 6188

From: Matthias Schertler <[email-masked]>
Date: Thu, 3 May 2018 09:19:31 +0000

Hello,

The AES cipher suites introduced in RFC 6188 use a different notation than the ones from RFC 4568.

https://tools.ietf.org/html/rfc4568#section-6.2

AES_CM_128_HMAC_SHA1_80
AES_CM_128_HMAC_SHA1_32

https://tools.ietf.org/html/rfc6188#section-4

AES_192_CM_HMAC_SHA1_80
AES_192_CM_HMAC_SHA1_32
AES_256_CM_HMAC_SHA1_80
AES_256_CM_HMAC_SHA1_32

The bit strength and the mode of operation switched places.

The RFC is already a proposed standard and the cipher suites are already registered at IANA. However this might be a pitfall for implementors.

Best regards,
Matthias Schertler

________________________________
Matthias Schertler | Head of Development (Software)
________________________________
innovaphone AG
PURE IP COMMUNICATIONS

B?blinger Stra?e 76 | 71065 Sindelfingen | Germany
Tel: +49(7031)73009-608 | Fax: +49(7031)73009-9
E-Mail: [email-masked] | www.innovaphone.com<http://www.innovaphone.com>

________________________________
Join our Community
________________________________
[facebook]<https://www.facebook.com/innovaphone> [twitter] <https://twitter.com/innovaphone>  [googleplus] <https://plus.google.com/110776055646551228439/posts>  [linkedin] <https://www.linkedin.com/company/innovaphone>  [xing] <https://www.xing.com/companies/innovaphoneag>  [slideshare] <https://de.slideshare.net/innovaphoneAG>  [youtube] <https://www.youtube.com/user/innovaphoneTV>  [news] <https://www.innovaphone.com/de/presseportal/newsletter.html>
________________________________

[Sitz der Gesellschaft: Sindelfingen | HRB Nr. 245196 Amtsgericht Stuttgart | Vorstand: Dagmar Geer (Vorsitzende), Carsten Bode, Guntram Diehl, Gerd Hornig | Vorsitzender des Aufsichtsrates: Gebhard Michel]

---

From: [email-masked] (Dale R. Worley)
Date: Fri, 04 May 2018 22:38:15 -0400

Matthias Schertler <[email-masked]> writes:
> [...]

Yes... Looking at the registry
(https://www.iana.org/assignments/sdp-security-descriptions/sdp-security-descriptions.xhtml#sdp-security-descriptions-3)
there doesn't seem to be a consistent naming scheme.

Dale

---

From: Suhas Nandakumar <[email-masked]>
Date: Fri, 4 May 2018 21:30:09 -0700

RFC6188 and RFC7714 have consistent format though .. Just curios, what are
the challenges with RFC3711 naming being inconsistent ?

On Fri, May 4, 2018 at 7:38 PM, Dale R. Worley <[email-masked]> wrote:

> (https://www.iana.org/assignments/sdp-security-descriptions/sdp-security-
> descriptions.xhtml#sdp-security-descriptions-3)
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>